﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadGridHierarchyErrManagementVB.aspx.vb" Inherits="RadGridHierarchyErrManagementVB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function showWizard(sender, args) {
            }
            function OnClientSelectedIndexChanging_FileYear(sender, args) {
            }
            function OnClientSelectedIndexChanging_SessionCode(sender, args) {
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="grdErrManagement" runat="server" AllowAutomaticDeletes="false" AllowAutomaticUpdates="false"
            AllowMultiRowEdit="false" Width="100%" Skin="Office2007" OnNeedDataSource="grdErrManagement_NeedDataSource"
            OnItemCommand="grdErrManagement_ItemCommand">
            <ClientSettings>
                <ClientEvents />
                <Scrolling UseStaticHeaders="true" AllowScroll="true" ScrollHeight="620" />
            </ClientSettings>
            <MasterTableView Width="100%" AutoGenerateColumns="false" CommandItemDisplay="Top" DataKeyNames="OrderID">
                <NestedViewTemplate>
                    <asp:Panel ID="InnerContainer" runat="server" Visible="false">
                        <div style="background-color: silver; width: 75%; height: 250px; padding: 10px; margin: 5px;">
                            <!-- Options panel bar -->
                            <div style="width: 15%; float: left; margin-left: 3px;">
                                <telerik:RadPanelBar ID="pnlFiles" runat="server" Width="90%" Height="85px"
                                    BorderStyle="None" ExpandMode="FullExpandedItem" OnClientItemClicked="showWizard">
                                    <Items>
                                        <telerik:RadPanelItem Text="Actions" Font-Bold="true" Expanded="true" PreventCollapse="true">
                                            <Items>
                                                <telerik:RadPanelItem Text="Add" ImageUrl="image/add.png"></telerik:RadPanelItem>
                                                <telerik:RadPanelItem Text="Remove" Enabled="false"
                                                    ImageUrl="image/delete.png">
                                                </telerik:RadPanelItem>
                                            </Items>
                                        </telerik:RadPanelItem>
                                    </Items>
                                </telerik:RadPanelBar>
                            </div>
                            <!-- Tabbed area -->
                            <div style="width: 84%; float: left; margin-right: 3px;">
                                <telerik:RadTabStrip ID="tstrpErr" runat="server" MultiPageID="multiErr"
                                    SelectedIndex="0" Width="100%" OnTabClick="tstrpErr_TabClick">
                                    <Tabs>
                                        <telerik:RadTab runat="server" Text="Files" PageViewID="Files">
                                        </telerik:RadTab>
                                        <telerik:RadTab runat="server" Text="Rejections" PageViewID="Rejections">
                                        </telerik:RadTab>
                                        <telerik:RadTab runat="server" Text="Comments" PageViewID="Comments">
                                        </telerik:RadTab>
                                    </Tabs>
                                </telerik:RadTabStrip>
                                <telerik:RadMultiPage ID="multiErr" runat="server" SelectedIndex="0"
                                    RenderSelectedPageOnly="true" Width="100%" Height="200px">
                                    <!-- Files tab -->
                                    <telerik:RadPageView runat="server" ID="Files" Width="100%" Height="200px" BackColor="White">
                                        <telerik:RadGrid ID="grdErrFiles" runat="server" AllowSorting="true" AllowPaging="true"
                                            OnItemDataBound="grdErrFiles_ItemDataBound"
                                            OnNeedDataSource="grdErrFiles_NeedDataSource" PageSize="3">
                                            <MasterTableView AutoGenerateColumns="false" Width="100%">
                                                <NoRecordsTemplate>
                                                    <div style="margin-left: auto; margin-right: auto; margin-top: 20px; margin-bottom: auto; border-style: solid; border-width: 1px; border-color: #2980b9; width: 250px; height: 60px; background-color: palegoldenrod; margin-bottom: 25px;">
                                                        <div style="width: 73%; float: right; margin-right: 3px;">
                                                            <h1 style="text-align: center; margin-top: 20px; margin-bottom: 0; padding: 0;">No data to display</h1>
                                                        </div>
                                                        <div style="width: 25%; padding-left: 5px; padding-top: 3px;">
                                                            <img src="image/Info.png" />
                                                        </div>
                                                    </div>
                                                </NoRecordsTemplate>
                                                <Columns>
                                                    <telerik:GridBoundColumn UniqueName="FileId" DataField="OrderID" HeaderText="FileId" Display="false">
                                                        <HeaderStyle />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn UniqueName="Filenametxt" DataField="ShipName"
                                                        HeaderText="Filename text" Display="false">
                                                        <HeaderStyle BorderStyle="None" />
                                                        <ItemStyle BorderStyle="None" />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridTemplateColumn UniqueName="itemSelected">
                                                        <HeaderStyle BorderStyle="None" Width="30" />
                                                        <HeaderTemplate>
                                                            <asp:CheckBox ID="chkSelectAll" runat="server" />
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="chkSelected" runat="server" />
                                                        </ItemTemplate>
                                                    </telerik:GridTemplateColumn>
                                                    <telerik:GridTemplateColumn UniqueName="Filename">
                                                        <HeaderStyle BorderStyle="None" />
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:LinkButton ID="lbnFilename" runat="server" Text="Button"
                                                                OnClick="lbnFilename_Click"></asp:LinkButton>
                                                        </ItemTemplate>
                                                    </telerik:GridTemplateColumn>
                                                    <telerik:GridBoundColumn UniqueName="ContentType" DataField="ShipCountry"
                                                        HeaderText="Content Type" Display="true">
                                                    </telerik:GridBoundColumn>
                                                </Columns>
                                            </MasterTableView>
                                        </telerik:RadGrid>
                                    </telerik:RadPageView>
                                    <!-- Rejections tab -->
                                    <telerik:RadPageView runat="server" ID="Rejections" Width="100%" Height="200px" BackColor="White">
                                        <%--        <telerik:RadGrid ID="grdErrRejections" runat="server" OnDataBinding="grdErrRejections_DataBinding"
                                         OnNeedDataSource="grdErrRejections_NeedDataSource">
                                        <MasterTableView AutoGenerateColumns="false" Width="100%">
                                            <NoRecordsTemplate>
                                                <div style="margin-left: auto; margin-right: auto; margin-top: 20px; margin-bottom: auto; border-style: solid; border-width: 1px; border-color: #2980b9; width: 250px; height: 60px; background-color: palegoldenrod; margin-bottom: 25px;">
                                                    <div style="width: 73%; float: right; margin-right: 3px;">
                                                        <h1 style="text-align: center; margin-top: 20px; margin-bottom: 0; padding: 0;">No data to display</h1>
                                                    </div>
                                                    <div style="width: 25%; padding-left: 5px; padding-top: 3px;">
                                                        <img src="image/Info.png" />
                                                    </div>
                                                </div>
                                            </NoRecordsTemplate>
                                            <Columns>
                                                <telerik:GridNumericColumn HeaderText="Rejections" UniqueName="Rejections" DataField="Rejections">
                                                    <HeaderStyle Width="100" />
                                                </telerik:GridNumericColumn>
                                                <telerik:GridDateTimeColumn HeaderText="Date" UniqueName="AddedOn" DataField="AddedOn">
                                                </telerik:GridDateTimeColumn>

                                                <telerik:GridBoundColumn HeaderText="Entered by" UniqueName="AddedBy" DataField="AddedBy">
                                                </telerik:GridBoundColumn>
                                            </Columns>
                                        </MasterTableView>
                                    </telerik:RadGrid>--%>
                                    Rejections
                                    </telerik:RadPageView>
                                    <!-- Comments tab -->
                                    <telerik:RadPageView runat="server" ID="Comments" Width="100%" Height="200px" BackColor="White">
                                        <%--<telerik:RadGrid ID="grdErrComments" runat="server" OnNeedDataSource="grdErrComments_NeedDataSource">
                                        <MasterTableView AutoGenerateColumns="false">
                                            <NoRecordsTemplate>
                                                <div style="margin-left: auto; margin-right: auto; margin-top: 20px; margin-bottom: auto; border-style: solid; border-width: 1px; border-color: #2980b9; width: 250px; height: 60px; background-color: palegoldenrod; margin-bottom: 25px;">
                                                    <div style="width: 73%; float: right; margin-right: 3px;">
                                                        <h1 style="text-align: center; margin-top: 20px; margin-bottom: 0; padding: 0;">No data to display</h1>
                                                    </div>
                                                    <div style="width: 25%; padding-left: 5px; padding-top: 3px;">
                                                        <img src="image/Info.png" />
                                                    </div>
                                                </div>
                                            </NoRecordsTemplate>
                                            <Columns>
                                                <telerik:GridBoundColumn HeaderText="Comment">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridDateTimeColumn HeaderText="Date">
                                                </telerik:GridDateTimeColumn>
                                                <telerik:GridBoundColumn HeaderText="Added by">
                                                </telerik:GridBoundColumn>
                                            </Columns>
                                        </MasterTableView>
                                    </telerik:RadGrid>--%>
                                     Comments
                                    </telerik:RadPageView>
                                </telerik:RadMultiPage>
                            </div>
                        </div>
                    </asp:Panel>
                </NestedViewTemplate>
                <SortExpressions></SortExpressions>
                <NoRecordsTemplate>
                    <div style="margin-left: auto; margin-right: auto; margin-top: 20px; margin-bottom: auto; border-style: solid; border-width: 1px; border-color: #2980b9; width: 250px; height: 60px; background-color: palegoldenrod; margin-bottom: 25px;">
                        <div style="width: 73%; float: right; margin-right: 3px;">
                            <h1 style="text-align: center; margin-top: 20px; margin-bottom: 0; padding: 0;">No data to display</h1>
                        </div>
                        <div style="width: 25%; padding-left: 5px; padding-top: 3px;">
                            <img src="image/Info.png" />
                        </div>
                    </div>
                </NoRecordsTemplate>
                <CommandItemTemplate>
                    <telerik:RadToolBar ID="tbErrManagement" runat="server" Width="100%" Skin="Office2007"
                        OnButtonClick="tbErrManagement_ButtonClick">
                        <Items>
                            <telerik:RadToolBarButton runat="server" Text="File Year" Value="FileYear">
                                <ItemTemplate>
                                    &nbsp;&nbsp;File Year&nbsp;&nbsp;
                                <telerik:RadComboBox ID="cboFileYear" runat="server" Skin="Web20"
                                    EmptyMessage="Select File Year" MaxHeight="300"
                                    OnClientSelectedIndexChanged="OnClientSelectedIndexChanging_FileYear">
                                </telerik:RadComboBox>
                                </ItemTemplate>
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton runat="server" Text="Session Code" Value="SessionCode">
                                <ItemTemplate>
                                    &nbsp;&nbsp;Session Code&nbsp;&nbsp;
                                <telerik:RadComboBox ID="cboSessionCode" runat="server" Skin="Web20"
                                    EmptyMessage="Select Session Code" Width="250" MaxHeight="300"
                                    OnClientSelectedIndexChanged="OnClientSelectedIndexChanging_SessionCode">
                                </telerik:RadComboBox>
                                </ItemTemplate>
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton runat="server" Text="Filter" ImageUrl="~/image/find.png" />
                        </Items>
                    </telerik:RadToolBar>
                </CommandItemTemplate>
                <Columns>
                    <telerik:GridBoundColumn UniqueName="BatchId" DataField="OrderID" HeaderText="Batch Id">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="FileYear" DataField="OrderDate" HeaderText="File Year">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="SessionCode" DataField="Freight" HeaderText="Session Code">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="AS400Ind" DataField="ShipCountry" HeaderText="AS400 Indicator">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="Filename" DataField="ShipName" HeaderText="Filename">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="Source" DataField="ShipCountry" HeaderText="Source">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="BatchRecordCount" DataField="Freight" HeaderText="Number of Records">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="AddedBy" DataField="ShipName" HeaderText="Added By">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="AddedOn" DataField="OrderDate" HeaderText="Added On">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="UpdatedBy" DataField="ShipCountry" HeaderText="Updated By">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="UpdatedOn" DataField="OrderDate" HeaderText="Updated On">
                        <ItemStyle Width="50" />
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Output"></asp:Label>
    </form>
</body>
</html>
